{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}
{% set procedure = procedureId %}

{% block component_part %}
    {% include '@DemosPlanCore/DemosPlanCore/includes/base_pageheader.html.twig' with {
        heading: 'segments'|trans,
        subnav: [
            {
                href: path('DemosPlan_procedure_import', { 'procedureId': procedure, '_fragment': 'ExcelImport' }),
                label: 'import.options.xls',
                icon: 'fa-upload',
                feature: 'feature_segments_import_excel'
            }
        ]|filter(item => item.feature is not defined or hasPermission(item.feature)),
        flush: true
    } %}

    {# Version History Slidebar #}
    <dp-slidebar>
        <dp-version-history procedure-id="{{ procedure }}"></dp-version-history>
    </dp-slidebar>

    <segments-list
        class="u-mv-0_5"
        :filters="JSON.parse('{{ filterNames|json_encode|e('js', 'utf-8') }}')"
        procedure-id="{{ procedure }}"
        current-user-id="{{ currentUser.ident }}"
        :initial-filter="JSON.parse('{{ segmentListQuery.filter|json_encode|e('js', 'utf-8') }}')"
        initial-search-term="{{ segmentListQuery.searchPhrase|default }}">
    </segments-list>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('procedure-administrationSegmentsList.js')}}
{% endblock javascripts %}
